org.eclipse.ease.ui.tools

## Class AbstractPopupMenu

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractPopupItem
  - - org.eclipse.ease.ui.tools.AbstractPopupMenu

All Implemented Interfaces:
  IMenuListener

Direct Known Subclasses:
  ModulePopupMenu, ScriptPopupMenu

    public abstract class AbstractPopupMenu
    extends AbstractPopupItem
    implements IMenuListener

### Constructor Summary

Constructors
Constructor and Description
`AbstractPopupMenu(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IContributionItem` `getContribution(IServiceLocator serviceLocator)`
`CommandContributionItemParameter` `getContributionParameter()`
`java.lang.String` `getDisplayName()`
`void` `menuAboutToShow(IMenuManager manager)`

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractPopupItem

`isVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractPopupMenu

    public AbstractPopupMenu(java.lang.String name)

### Method Detail

#### getContribution

    public final IContributionItem getContribution(IServiceLocator serviceLocator)

Overrides:
  `getContribution` in class `AbstractPopupItem`

#### menuAboutToShow

    public final void menuAboutToShow(IMenuManager manager)

Specified by:
  `menuAboutToShow` in interface `IMenuListener`

#### getContributionParameter

    public CommandContributionItemParameter getContributionParameter()

#### getDisplayName

    public java.lang.String getDisplayName()

Specified by:
  `getDisplayName` in class `AbstractPopupItem`